RDKit::DiscreteDistMat Class Reference

`#include <DiscreteDistMat.h>`

## Public Member Functions

| DiscreteDistMat ()
| ~DiscreteDistMat ()
unsigned int | getDist (unsigned char v1, unsigned char v2, DiscreteValueVect::DiscreteValueType type)

## Detailed Description

Definition at line 15 of file DiscreteDistMat.h.

## Constructor & Destructor Documentation

## DiscreteDistMat()

RDKit::DiscreteDistMat::DiscreteDistMat | ( |  | ) |

## ~DiscreteDistMat()

RDKit::DiscreteDistMat::~DiscreteDistMat | ( |  | ) |

inline

Definition at line 18 of file DiscreteDistMat.h.

References RDKit::getDiscreteDistMat(), and getDist().

## Member Function Documentation

## getDist()

unsigned int RDKit::DiscreteDistMat::getDist | ( | unsigned char | v1,
|  | unsigned char | v2,
|  | DiscreteValueVect::DiscreteValueType | type
| ) |  |

Referenced by ~DiscreteDistMat().

The documentation for this class was generated from the following file:

- DiscreteDistMat.h